<!-- Based on fast/repaint/textarea-set-disabled.html -->
<!DOCTYPE html>
<html>
<head>
    <script src="resources/paint-invalidation-test.js" type="text/javascript"></script>
    <script>
        window.expectedPaintInvalidationObjects = [
            "LayoutTextControl TEXTAREA",
            "LayoutBlockFlow DIV id='inner-editor'",
            "LayoutTextControl TEXTAREA",
            "LayoutBlockFlow DIV id='inner-editor'",
        ];
        function paintInvalidationTest()
        {
            document.getElementsByTagName('textarea')[0].disabled = true;
        }
    </script>
</head>
<body onload="runPaintInvalidationTest()">
<form>
  <textarea style="font: 10px Ahem; width: 100px; height: 100px;"></textarea>
</form>
</body>
</html>
